import hdGameDoDojoin from "./hdGameDoDojoin";
import hdGameSubmit from "./hdGameSubmit";

const HDGameSubmitAfterDostart = (cb, score) => {
    hdGameDoDojoin(
        (success) => {
            if (success) {
                setTimeout(() => {
                    hdGameSubmit(cb, score)
                }, 200);//延迟200ms，这是后端约定
            }
            else {
                cb(false);
            }
        }
    )
}

export default HDGameSubmitAfterDostart